summaryrefslogtreecommitdiffstats
path: root/games/mupen64plus-video-gliden64
diff options
context:
space:
mode:
author M.Dinslage <daedra1980@gmail.com>2022-04-09 08:58:15 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2022-04-09 15:45:52 +0700
commit13c5db4aaf262fc8a924c777ecba05ee2a24961d (patch)
treeaaf227e48f554664f7d09f75e26b60f40698d661 /games/mupen64plus-video-gliden64
parent95cb1d6b0a191434e8c17e406dd228c18687f17c (diff)
downloadslackbuilds-13c5db4aaf262fc8a924c777ecba05ee2a24961d.tar.gz
slackbuilds-13c5db4aaf262fc8a924c777ecba05ee2a24961d.tar.xz
games/mupen64plus-video-gliden64: Added (Plugin for mupen64plus).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games/mupen64plus-video-gliden64')
-rw-r--r--games/mupen64plus-video-gliden64/README1
-rw-r--r--games/mupen64plus-video-gliden64/mupen64plus-video-gliden64.SlackBuild110
-rw-r--r--games/mupen64plus-video-gliden64/mupen64plus-video-gliden64.info10
-rw-r--r--games/mupen64plus-video-gliden64/slack-desc19
4 files changed, 140 insertions, 0 deletions
diff --git a/games/mupen64plus-video-gliden64/README b/games/mupen64plus-video-gliden64/README
new file mode 100644
index 0000000000..069c6bdf3e
--- /dev/null
+++ b/games/mupen64plus-video-gliden64/README
@@ -0,0 +1 @@
+A new generation, open-source graphics plugin for N64 emulators.
diff --git a/games/mupen64plus-video-gliden64/mupen64plus-video-gliden64.SlackBuild b/games/mupen64plus-video-gliden64/mupen64plus-video-gliden64.SlackBuild
new file mode 100644
index 0000000000..30f5f132ea
--- /dev/null
+++ b/games/mupen64plus-video-gliden64/mupen64plus-video-gliden64.SlackBuild
@@ -0,0 +1,110 @@
+#!/bin/bash
+
+# Slackware build script for mupen64plus-video-gliden64
+
+# Copyright 2021 Matt Dinslage, daedra1980@gmail.com
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=mupen64plus-video-gliden64
+VERSION=${VERSION:-4.0_5347689}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+cd src
+cmake -B build -S . \
+ -DCMAKE_BUILD_TYPE:STRING='Release' \
+ -DCMAKE_INSTALL_PREFIX:PATH='/usr' \
+ -DMUPENPLUSAPI:BOOL='ON' \
+ -DUSE_SYSTEM_LIBS:BOOL='ON'
+make -C build
+
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/mupen64plus
+mkdir -p $PKG/usr/share/mupen64plus
+install -Dm644 build/plugin/Release/mupen64plus-video-GLideN64.so $PKG/usr/lib${LIBDIRSUFFIX}/mupen64plus
+cat ../ini/GLideN64.custom.ini > $PKG/usr/share/mupen64plus/GLideN64.custom.ini
+
+cd ../
+
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/games/mupen64plus-video-gliden64/mupen64plus-video-gliden64.info b/games/mupen64plus-video-gliden64/mupen64plus-video-gliden64.info
new file mode 100644
index 0000000000..2d4d545812
--- /dev/null
+++ b/games/mupen64plus-video-gliden64/mupen64plus-video-gliden64.info
@@ -0,0 +1,10 @@
+PRGNAM="mupen64plus-video-gliden64"
+VERSION="4.0_5347689"
+HOMEPAGE="https://github.com/gonetz/GLideN64/"
+DOWNLOAD="https://www.dropbox.com/s/8dow3h1tm4x4xs7/mupen64plus-video-gliden64-4.0_5347689.tar.gz"
+MD5SUM="964c5980cddad8f21bc70860ba9e237e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="mupen64plus"
+MAINTAINER="M.Dinslage"
+EMAIL="daedra1980@gmail.com"
diff --git a/games/mupen64plus-video-gliden64/slack-desc b/games/mupen64plus-video-gliden64/slack-desc
new file mode 100644
index 0000000000..8b1fe2b1bd
--- /dev/null
+++ b/games/mupen64plus-video-gliden64/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+mupen64plus-video-gliden64: mupen64plus-video-gliden64 (video plugin for mupen64plus)
+mupen64plus-video-gliden64:
+mupen64plus-video-gliden64: A new generation, open-source graphics plugin for N64 emulators.
+mupen64plus-video-gliden64:
+mupen64plus-video-gliden64:
+mupen64plus-video-gliden64:
+mupen64plus-video-gliden64:
+mupen64plus-video-gliden64:
+mupen64plus-video-gliden64:
+mupen64plus-video-gliden64:
+mupen64plus-video-gliden64: